package com.unitesk.requality.libreoffice.api.responses;

import com.unitesk.requality.libreoffice.api.APIResponse;

public class PingResponse extends APIResponse {
	private int foo;
	private String bar;
	
	public int getFoo() {
		return foo;
	}
	
	public String getBar() {
		return bar;
	}
	
	public void setFoo(int foo) {
		this.foo = foo;
	}
	
	public void setBar(String bar) {
		this.bar = bar;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((bar == null) ? 0 : bar.hashCode());
		result = prime * result + foo;
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		PingResponse other = (PingResponse) obj;
		if (bar == null) {
			if (other.bar != null)
				return false;
		} else if (!bar.equals(other.bar))
			return false;
		if (foo != other.foo)
			return false;
		return true;
	}

	@Override
	public String toString() {
		return "PingResponse [foo=" + foo + ", bar=" + bar + "]";
	}
}
