package com.unitesk.requality.libreoffice.api.responses;

import com.unitesk.requality.libreoffice.api.APIResponse;
import com.unitesk.requality.libreoffice.api.models.IDMapping;

public class QidResolveResponse extends APIResponse {
	private IDMapping id;
	private String type;
	
	public IDMapping getId() {
		return id;
	}
	
	public String getType() {
		return type;
	}
	
	public void setId(IDMapping id) {
		this.id = id;
	}
	
	public void setType(String type) {
		this.type = type;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		result = prime * result + ((type == null) ? 0 : type.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		QidResolveResponse other = (QidResolveResponse) obj;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		if (type == null) {
			if (other.type != null)
				return false;
		} else if (!type.equals(other.type))
			return false;
		return true;
	}

	@Override
	public String toString() {
		return "QidResolveResponse [id=" + id + ", type=" + type + "]";
	}
}
