package com.unitesk.requality.libreoffice.api;

import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.sun.star.uno.RuntimeException;

public abstract class APIRequest<T> {
	@JsonIgnore
	public abstract Class<T> responseClass();

	@JsonIgnore
	public abstract String requestURL();
	
	@JsonIgnore
	public abstract HTTPMethod method();
	
	protected static String urlencode(String s) {
		try {
			return URLEncoder.encode(s, "UTF-8");
		} catch (UnsupportedEncodingException e) { // Fuck you, Java
			throw new RuntimeException(e);
		}
	}
}
