package com.unitesk.requality.libreoffice.api;

import java.io.IOException;

public class RequestException extends IOException {
	private static final long serialVersionUID = 1L;
	private RequestError error;
	
	public RequestException(RequestError error) {
		super();
		this.error = error;
	}

	public RequestError getError() {
		return error;
	}

	@Override
	public String toString() {
		return getClass().getCanonicalName() + ": " + error.getCode() + ": " + error.getMessage();
	}
}
