package com.unitesk.requality.libreoffice.api.models;

import java.util.UUID;

import com.unitesk.requality.libreoffice.api.APIResponse;

public class IDMapping extends APIResponse {
	private String qid;
	private UUID uuid;
	private String uv;
	
	public String getQid() {
		return qid;
	}
	
	public UUID getUuid() {
		return uuid;
	}
	
	public String getUv() {
		return uv;
	}
	
	public void setQid(String qid) {
		this.qid = qid;
	}
	
	public void setUuid(UUID uuid) {
		this.uuid = uuid;
	}
	
	public void setUv(String uv) {
		this.uv = uv;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((qid == null) ? 0 : qid.hashCode());
		result = prime * result + ((uuid == null) ? 0 : uuid.hashCode());
		result = prime * result + ((uv == null) ? 0 : uv.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		IDMapping other = (IDMapping) obj;
		if (qid == null) {
			if (other.qid != null)
				return false;
		} else if (!qid.equals(other.qid))
			return false;
		if (uuid == null) {
			if (other.uuid != null)
				return false;
		} else if (!uuid.equals(other.uuid))
			return false;
		if (uv == null) {
			if (other.uv != null)
				return false;
		} else if (!uv.equals(other.uv))
			return false;
		return true;
	}

	@Override
	public String toString() {
		return "IDMapping [qid=" + qid + ", uuid=" + uuid + ", uv=" + uv + "]";
	}
}
