package com.unitesk.requality.libreoffice.api.models;

import java.util.List;
import com.unitesk.requality.libreoffice.api.APIResponse;

public class IDTree extends APIResponse {
	private IDMapping current;
	private String type;
	private List<IDTree> children;
	
	public IDMapping getCurrent() {
		return current;
	}

	public String getType() {
		return type;
	}

	public List<IDTree> getChildren() {
		return children;
	}

	public void setCurrent(IDMapping current) {
		this.current = current;
	}

	public void setType(String type) {
		this.type = type;
	}

	public void setChildren(List<IDTree> children) {
		this.children = children;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((children == null) ? 0 : children.hashCode());
		result = prime * result + ((current == null) ? 0 : current.hashCode());
		result = prime * result + ((type == null) ? 0 : type.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		IDTree other = (IDTree) obj;
		if (children == null) {
			if (other.children != null)
				return false;
		} else if (!children.equals(other.children))
			return false;
		if (current == null) {
			if (other.current != null)
				return false;
		} else if (!current.equals(other.current))
			return false;
		if (type == null) {
			if (other.type != null)
				return false;
		} else if (!type.equals(other.type))
			return false;
		return true;
	}

	@Override
	public String toString() {
		return "IDTree [current=" + current + ", type=" + type + ", children=" + children + "]";
	}
}
