package com.unitesk.requality.libreoffice.api.requests;

import com.unitesk.requality.libreoffice.api.APIRequest;
import com.unitesk.requality.libreoffice.api.HTTPMethod;
import com.unitesk.requality.libreoffice.api.responses.ProjectsListResponse;

public class ProjectsListRequest extends APIRequest<ProjectsListResponse> {
	@Override
	public Class<ProjectsListResponse> responseClass() {
		return ProjectsListResponse.class;
	}

	@Override
	public String requestURL() {
		return "/projects";
	}

	@Override
	public HTTPMethod method() {
		return HTTPMethod.GET;
	}
}
