package com.unitesk.requality.libreoffice.menu;

import com.sun.star.text.XTextDocument;
import com.sun.star.uno.XComponentContext;
import com.unitesk.requality.libreoffice.helper.DialogHelper;
import com.unitesk.requality.libreoffice.registration.ServiceName;

@ServiceName("com.unitesk.requality.libreoffice.menu.ClearBookmarks")
public class ClearBookmarksHandler extends BaseHandler {
	public ClearBookmarksHandler(XComponentContext context) {
		super(context);
	}

	@Override
	protected void handle() throws Exception {
		int count = CheckReferencesHandler.removeOurBookmarks(getComponent(XTextDocument.class));
		DialogHelper.showInfoMessage(context, null, count + " bookmark(s) have been removed");
	}
}
