package com.unitesk.requality.libreoffice.ui;

import javax.swing.UIManager;
import javax.swing.plaf.nimbus.NimbusLookAndFeel;

public class UIUtils {
	private static boolean isPrepared = false;
	
	public static void prepare() {
		if (isPrepared) return;
		
	  System.setProperty("awt.useSystemAAFontSettings", "lcd");
	  System.setProperty("swing.aatext", "true");
		
		try {
			UIManager.setLookAndFeel(new NimbusLookAndFeel());
		} catch (Exception e) {
			e.printStackTrace();
			
			try {
				UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
			} catch (Exception ex) {
				ex.printStackTrace();
			}
		}
		
		isPrepared = true;
	}
}
